import * as React from 'react';
import { Grid, Container, Breadcrumb, Header, Menu, Input, Segment } from 'semantic-ui-react';
import { Redirect } from 'react-router-dom';

export class TitleBar extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  public handleMenu(menu:any): JSX.Element {
    console.log(menu.path);
    return <Redirect to={menu.path} />;
  }

  public renderSubMenus(): JSX.Element {
    let subMenus = this.props.sub;
    if (!subMenus) {
      return null;
    }

    return subMenus.map((menu: any, index: number) => (
      <Menu.Item key={index} name={menu.name} onClick={this.handleMenu.bind(this, menu)}/>
    ));
  }

  public render(): JSX.Element {
    return (
      <Menu fluid style={{ 'borderLeft': '0px', 'borderRight': '0px', 'boxShadow': 'none', 'borderRadius': '0' }}>
        <Menu.Item name={this.props.title} style={{ width: '250px' }}>
          <Header as='h3'>{this.props.title}
            <Header.Subheader>
              <Breadcrumb size='mini'>
                <Breadcrumb.Section link>Home</Breadcrumb.Section>
                <Breadcrumb.Divider />
                <Breadcrumb.Section link>Monitoring</Breadcrumb.Section>
                <Breadcrumb.Divider />
                <Breadcrumb.Section active>Probes</Breadcrumb.Section>
              </Breadcrumb>
            </Header.Subheader>
          </Header>
        </Menu.Item>
        {this.renderSubMenus()}
      </Menu>
    );
  }
}



